> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trunk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Set impacted targets for a pull request.



## OpenAPI

````yaml /openapi.json post /setImpactedTargets
openapi: 3.1.0
info:
  title: Trunk APIs
  version: 1.0.0
  license:
    name: UNLICENSED
servers:
  - url: https://api.trunk.io/v1
security: []
paths:
  /setImpactedTargets:
    post:
      summary: Set impacted targets for a pull request.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                repo:
                  type: object
                  properties:
                    host:
                      type: string
                    owner:
                      type: string
                    name:
                      type: string
                  required:
                    - host
                    - owner
                    - name
                pr:
                  type: object
                  properties:
                    number:
                      type: integer
                      minimum: 1
                      maximum: 4294967295
                    sha:
                      type: string
                  required:
                    - number
                    - sha
                targetBranch:
                  type: string
                impactedTargets:
                  anyOf:
                    - type: array
                      items:
                        type: string
                    - type: string
                      const: ALL
              required:
                - repo
                - pr
                - targetBranch
                - impactedTargets
      responses:
        '200':
          description: OK
          content:
            application/json: {}
        '400':
          description: Bad Request
          content:
            application/plain-text:
              schema:
                type: string
        '401':
          description: Unauthorized
          content:
            application/plain-text:
              schema:
                type: string
        '404':
          description: Not Found
          content:
            application/plain-text:
              schema:
                type: string
        '500':
          description: Internal Server Error
          content:
            application/plain-text:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-token

````